Apple also released an enabler for 802.11n. The update only applies to a few computers so BEFORE you buy it check to see if you’re computer can take advantage of it. Macintosh hardware that can take advantage of this piece of software are:

  • MacBook Pro with Intel Core 2 Duo
  • MacBook with Intel Core 2 Duo
  • Mac Pro with AirPort Extreme option
  • iMac with Intel Core 2 Duo (except the 17-inch, 1.83GHz iMac)

If you’re getting one of the new Apple Airport Extremes then you do not need this piece of software. It will come with the Extreme.

I’ve already seen several comments on blogs and threads on the Apple Discussion board about people buying this software and it not working because they skipped over the system requirements! Be sure to read them!

0 Likes
50 Views

You may also like

Leave A Comment

Please enter your name. Please enter an valid email address. Please enter message.